/********************************************/
/*  Testbench      */
/********************************************/
module tb_fsm;

  reg clk, rst_n, go, ws;
  wire rd, ds; 

  fsm_ex1 U0 (clk, rst_n, go, ws, rd, ds);

  initial begin
      	rst_n  = 1'b0;
	go = 1'b0;
	ws = 1'b1;
	end
   
   always begin
    #50	rst_n  = 1'b1;
    #80 go = 1'b1;
    #20 go = 1'b0;
    #80 ws = 1'b0;
    #40 ws = 1'b1;
    #80 go = 1'b1;
        #20 go = 1'b0;
 
 
  end

  initial begin
     clk = 1'b0;
     forever #10 clk = ~clk;
  end

endmodule

